[arch-commits] Commit in esd/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Fri Jul 18 15:22:01 EDT 2008


    Date: Friday, July 18, 2008 @ 15:22:01
  Author: jgc
Revision: 5553

Merged revisions 2-5552 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/esd/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r5552 | jgc | 2008-07-18 19:21:49 +0000 (Fri, 18 Jul 2008) | 1 line
  
  upgpkg: esd 0.2.39-1
........

Modified:
  esd/repos/extra-x86_64/	(properties)
  esd/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)


Property changes on: esd/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /esd/trunk:1
   + /esd/trunk:1-5552

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-07-18 19:21:49 UTC (rev 5552)
+++ extra-x86_64/PKGBUILD	2008-07-18 19:22:01 UTC (rev 5553)
@@ -1,8 +1,8 @@
 # $Id$
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 pkgname=esd
-pkgver=0.2.38
-pkgrel=3
+pkgver=0.2.39
+pkgrel=1
 pkgdesc="Enlightened Sound Daemon"
 arch=(i686 x86_64)
 license=('LGPL')
@@ -13,18 +13,19 @@
 source=(http://ftp.gnome.org/pub/GNOME/sources/esound/0.2/esound-${pkgver}.tar.bz2
 	esd-0.2.38-alsa-drain.patch
 	esd)
-md5sums=('1c48c100b450d617b58dacb59837d34f'
+md5sums=('d950b9cd0d7b5406cc4bb16bcdcea8f4'
          '3de93efcd1bc196a3585e6aef50eac48'
          'a4c76e7c7f75b201ea7ab6fb15b47472')
 
 build() {
-  cd ${startdir}/src/esound-${pkgver}
-  patch -Np1 -i ${startdir}/src/esd-0.2.38-alsa-drain.patch || return 1
+  cd ${srcdir}/esound-${pkgver}
+  patch -Np1 -i ${srcdir}/esd-0.2.38-alsa-drain.patch || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-static \
               --with-audiofile --with-libwrap \
-	      --enable-alsa --disable-artstest
+	      --enable-alsa --disable-artstest || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
-  install -D -m755 ${startdir}/src/esd ${startdir}/pkg/etc/rc.d/esd
+  make DESTDIR=${pkgdir} install || return 1
+  install -m755 -d ${pkgdir}/etc/rc.d
+  install -m755 ${srcdir}/esd ${pkgdir}/etc/rc.d/esd || return 1
 }





More information about the arch-commits mailing list